## libcompface 1.5.2

=== Makefile ===
prefix          = /usr/local
exec_prefix     = ${prefix}
srcdir          = .
BINDIR		= ${exec_prefix}/bin
LIBDIR		= ${exec_prefix}/lib
MANDIR		= ${prefix}/man
INCLUDEDIR	= ${prefix}/include



RM              = rm -f
LN_S            = ln -s
RANLIB          = ranlib
INSTALL         = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA    = ${INSTALL} -m 644
SHELL           = /bin/sh

NAME		= compface
UNNAME		= uncompface
EXEEXT		= 
NAMEEXE		= $(NAME)$(EXEEXT)
UNNAMEEXE	= $(UNNAME)$(EXEEXT)
EXECUTABLE	= $(BINDIR)/$(NAMEEXE)
UNEXECUTABLE	= $(BINDIR)/$(UNNAMEEXE)
LIBNAME		= lib$(NAME).a
SOLIBNAME	= lib$(NAME).so
LIBRARY		= $(LIBDIR)/$(LIBNAME)
MAN1DIR		= $(MANDIR)/man1
MAN3DIR		= $(MANDIR)/man3
OBJECTS		= arith.o file.o compress.o gen.o uncompface.o compface.o
SOURCES		= compface.c uncompface.c arith.c file.c compress.c gen.c \
		  cmain.c uncmain.c version.c
INSTALLHEADERS  = compface.h
HDRS		= $(INSTALLHEADERS) data.h compface_private.h
OTHERS		= README $(NAME).1 $(NAME).3 Makefile.in Makefile.Ashton \
		  configure configure.in install-sh mkinstalldirs ChangeLog

DISTFILES       =  $(OTHERS) $(HDRS) $(SOURCES)

CC		= gcc
CFLAGS		= -g -O2
#CFLAGS		= -g 
DEFS		= -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_ERRNO_H=1 -DHAVE_FCNTL_H=1 -DHAVE_STRINGS_H=1 -DHAVE_STRERROR=1  -DHAVE_CONFIG_H
LDFLAGS		= 
LIBS		= 

all:		$(NAMEEXE) $(UNNAMEEXE)

$(NAMEEXE) :	cmain.o $(LIBNAME)
		$(CC) $(LDFLAGS) -o $@ cmain.o -lcompface

$(UNNAMEEXE) :	uncmain.o $(LIBNAME)
		$(CC) $(LDFLAGS) -o $@ uncmain.o -lcompface

$(LIBNAME) :	$(OBJECTS)
		ar rc $(LIBNAME) $(OBJECTS)
		-$(RANLIB) $(LIBNAME)

lint :
		lint -abchx $(SOURCES)

clean :
		-rm -f *.o *.a *.sh core a.out $(NAMEEXE) $(UNNAMEEXE)

distclean: clean
		-rm -rf *~
		-rm -f config.log config.status config.cache Makefile

dist: $(DISTFILES)
		echo compface-`sed -e '/version/!d' -e 's/[^0-9.]*\([0-9.]*\).*/\1/' -e q version.c` > .fname
		$(RM) -rf `cat .fname`
		mkdir `cat .fname`
		ln $(DISTFILES) `cat .fname`
		tar chzf `cat .fname`.tar.gz `cat .fname`
		$(RM) -rf `cat .fname` .fname

install: 	$(NAMEEXE) $(UNNAMEEXE) $(LIBNAME)
		$(INSTALL_PROGRAM) -d $(BINDIR) $(LIBDIR) $(MAN1DIR) $(MAN3DIR) $(INCLUDEDIR)
		$(INSTALL_PROGRAM) $(srcdir)/$(NAMEEXE) $(EXECUTABLE) 
		-chmod 0755 $(EXECUTABLE)
		-strip $(EXECUTABLE)
		$(INSTALL_PROGRAM) $(srcdir)/$(UNNAMEEXE) $(UNEXECUTABLE)
		-chmod 0755 $(UNEXECUTABLE)
		-strip $(UNEXECUTABLE)
		$(INSTALL_DATA) $(srcdir)/$(NAME).1 $(MAN1DIR)/$(NAME).1
		cd $(MAN1DIR) && $(RM) ./$(UNNAME).1 && $(LN_S) $(NAME).1 $(UNNAME).1
		$(INSTALL_DATA) $(srcdir)/$(NAME).3 $(MAN3DIR)/$(NAME).3
		cd $(MAN3DIR) && $(RM) ./$(UNNAME).3 && $(LN_S) $(NAME).3 $(UNNAME).3
		for hdr in $(INSTALLHEADERS); do $(INSTALL_DATA) $(srcdir)/$${hdr} $(INCLUDEDIR)/$${hdr}; done
		$(INSTALL_DATA) $(srcdir)/$(LIBNAME) $(LIBRARY)

shar :
		shar.script $(OTHERS) $(HDRS) $(SOURCES) > $(NAME).sh
		compress $(NAME).sh

static:		$(OBJECTS)
		ar rc $(LIBNAME) $(OBJECTS)
		-ranlib $(LIBNAME)

shared:		$(OBJECTS)
		$(CC) -shared -Wl,-soname,$(SOLIBNAME).1 $(LDFLAGS) -o $(SOLIBNAME).1.0.0 $(OBJECTS)

.c.o:
	$(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) $<

arith.o:	arith.c compface.h data.h
cmain.o:	cmain.c compface.h data.h
compface.o:	compface.c compface.h data.h
compress.o:	compress.c compface.h data.h
file.o:		file.c compface.h data.h
gen.o:		gen.c compface.h data.h
uncmain.o:	uncmain.c compface.h data.h
uncompface.o:	uncompface.c compface.h data.h

.PHONY: clean mostlyclean distclean realclean dist all shared static

# Prevent GNU make v3 from overflowing arg limit on SysV.
.NOEXPORT:

=== debian/changelog ===
libcompface (1:1.5.2-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove need for root when building the package.
    (Closes: #1089358)

 -- Niels Thykier <niels@thykier.net>  Tue, 31 Dec 2024 12:19:58 +0000

libcompface (1:1.5.2-6) unstable; urgency=high

  [ Ricardo Mones <mones@debian.org> ]
  * Change deprecated define to remove warning
  * Compile with STDC_HEADERS enabled (Closes: #1075160)
  * Patch for building cmain.c with STDC_HEADERS
  * Fix declaration of inc in debian.patch
  * Raised urgency because of RC bug

 -- Hakan Ardo <hakan@debian.org>  Thu, 15 Aug 2024 09:40:30 +0200

libcompface (1:1.5.2-5.2) unstable; urgency=medium

  * Non-maintainer upload
  * Drop semantic.cache, t*.pbm, and t*.xbm
  * Convert to source format 3.0 (closes: #1007560)

 -- Bastian Germann <bage@debian.org>  Thu, 13 Jun 2024 17:38:14 +0200

libcompface (1:1.5.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass triplet-prefixed CC to make (closes: #861345)

  [ gregor herrmann ]
  * Fix "Removal of obsolete debhelper compat 5 and 6 in bookworm":
    Bump to 7 in debian/compat and debian/control{,.common}.
    Remove manual handling of debian/{copyright,changelog} from debian/rules,
    handled by dh_install{docs,changelogs}.
    (Closes: #965632)
  * Fix "missing required debian/rules targets build-arch and/or build-
    indep": Add targets to debian/rules.
    (Closes: #999263)

 -- gregor herrmann <gregoa@debian.org>  Sat, 25 Dec 2021 18:12:05 +0100

libcompface (1:1.5.2-5) unstable; urgency=high

  * Fixed bufferoverflow when reading xbm files (closes: #534973)

 -- Hakan Ardo <hakan@debian.org>  Mon, 29 Jun 2009 18:49:13 +0200

libcompface (1:1.5.2-4) unstable; urgency=low

  * Converted from debmake to debhelper (closes: #372969)
  * Changed $(PWD) to $(CURDIR) to build under sudo (closes: #399390)

 -- Hakan Ardo <hakan@debian.org>  Mon, 20 Nov 2006 21:06:20 +0100

libcompface (1:1.5.2-3) unstable; urgency=low

  * Applied patch from Matej Vela <vela@debian.org> fixing XBM input
    (closes: #349015)
  * Applied patch from Matej Vela <vela@debian.org> fixing include file
    problem (closes: #12302)

 -- Hakan Ardo <hakan@debian.org>  Sat,  4 Feb 2006 16:07:17 +0100

libcompface (1:1.5.2-2) unstable; urgency=low

  * compface now works again (closes: #348326)

 -- Hakan Ardo <hakan@debian.org>  Mon, 16 Jan 2006 21:54:47 +0100

libcompface (1:1.5.2-1) unstable; urgency=low

  * Upgraded to v1.5.2 (closes: #261932)
  * Fixed make up-to-dateness confusion (closes: #261932)
  * Removed /usr/doc symlinks (closes: #322788)
  * Added example on how to generate header from jpeg to README.Debian
    (closes: #199100)
  * Section information included in the control file (closes: #288824)
  * libtool or *-config tools are not used (closes: #340392)

 -- Hakan Ardo <hakan@debian.org>  Tue, 27 Dec 2005 16:53:12 +0100

libcompface (1989.11.11-24) unstable; urgency=low

  * Fixed local link path (closes: #147607)

 -- Hakan Ardo <hakan@debian.org>  Fri,  5 Jul 2002 23:41:21 +0200

libcompface (1989.11.11-23) unstable; urgency=low

  * Spelling errors fixed (Bug #124514, #124920, #124921)

 -- Hakan Ardo <hakan@debian.org>  Sat, 12 Jan 2002 15:00:58 +0100

libcompface (1989.11.11-22) unstable; urgency=low

  * Applied Marcus Brinkmans patch removing arch specific libc5 stuff
    and fixing the errno handling to be more portable ( Bug #106381,
    #104138 )

 -- Hakan Ardo <hakan@debian.org>  Thu, 26 Jul 2001 09:49:53 +0200

libcompface (1989.11.11-21) unstable; urgency=low

  * Fixed bad manpagelink (Bug #102741)

 -- Hakan Ardo <hakan@debian.org>  Sat,  7 Jul 2001 21:48:48 +0200

libcompface (1989.11.11-20) unstable; urgency=low

  * Readded Build-Depends as they dissapeard (Bug #92477 #98374)
  * Rules no longer overwrites LD_LIBRARY_PATH to work with fakeroot
    (Bug #98182)
  * Added uncompface.3 link (Bug #99558)

 -- Hakan Ardo <hakan@debian.org>  Sun, 24 Jun 2001 16:01:18 +0200

libcompface (1989.11.11-19) unstable; urgency=low

  * compface.o now compiled in (Bug #93269)

 -- Hakan Ardo <hakan@debian.org>  Sun, 20 May 2001 13:08:18 +0200

libcompface (1989.11.11-18) unstable; urgency=low

  * Added Build-Depends (Bug#92477)
  * Recompied with stable binutils to fix corrupted libcompface.a
    archive (Bug#92904)
  * Now uses dh_strip instead of strip

 -- Hakan Ardo <hakan@debian.org>  Sat,  7 Apr 2001 15:40:49 +0200

libcompface (1989.11.11-17.5) unstable; urgency=low

  * Updated the copyright file with another clearfication from the
    author
  * ldconfig now only called if configure param given
  * Walked through the standars updates

 -- Hakan Ardo <hakan@debian.org>  Fri,  2 Mar 2001 18:04:30 +0100

libcompface (1989.11.11-17.4) unstable; urgency=low

  * Fixed manual compresiton to work with build-daemons aswell

 -- Hakan Ardo <hakan@debian.org>  Sun, 19 Nov 2000 13:13:51 +0100

libcompface (1989.11.11-17.3) unstable; urgency=low

  * Updated copright regarding modified versions (Bug #72019)
  * compface now depends on libcompfaceg1 (Bug #71954)

 -- Hakan Ardo <hakan@debian.org>  Sun, 29 Oct 2000 15:36:44 +0100

libcompface (1989.11.11-17.2) unstable; urgency=low

  * Manpages now claims xbm images can be handled (Bug #60143)
  * Man pages and docs moved to /usr/share

 -- Hakan Ardo <hakan@debian.org>  Thu, 10 Aug 2000 14:29:52 +0200

libcompface (1989.11.11-17.1) unstable; urgency=low

  * compface now uses shlibs:Depends instead of hardcoded depends (Bug #43029)
  * Incoperated Tor's changes into the main release stream (Bug#30119)

 -- Hakan Ardo <hakan@debian.org>  Mon, 30 Nov 1998 14:33:44 +0100

libcompface (1989.11.11-16.1) unstable; urgency=low

  * Modified 'rules' to support new ports (such as debian-arm),
    without libc5 and 'altdev'.

 -- Tor Slettnes <tor@slett.net>  Sat, 28 Nov 1998 12:59:01 -0800

libcompface (1989.11.11-16) unstable; urgency=low

  * Added some info in README.debian


=== debian/control ===
Source: libcompface
Section: mail
Priority: optional
Maintainer: Hakan Ardo <hakan@debian.org>
Standards-Version: 3.2.1.0
Build-Depends: debhelper (>=7)

Package: libcompfaceg1-dev
Section: devel
Priority: optional
Architecture: any
Depends: libcompfaceg1, libc6-dev
Conflicts: compface (<= 89.11.11-10)
Description: Compress/decompress images for mailheaders, libc6 devel
 Converts 48x48 .xbm format (X bitmap) files to a compressed format 
 that can be placed in your X-Face: mail header. Some mailreaders, 
 like exmh will then display this image when the user is reading your mail.

Package: libcompfaceg1
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: compface (<= 89.11.11-10)
Description: Compress/decompress images for mailheaders, libc6 runtime
 Converts 48x48 .xbm format (X bitmap) files to a compressed format 
 that can be placed in your X-Face: mail header. Some mailreaders, 
 like exmh will then display this image when the user is reading your mail.

Package: compface
Section: mail
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Description: Compress/decompress images for mailheaders, user tools
 Converts 48x48 .xbm format (X bitmap) files to a compressed format 
 that can be placed in your X-Face: mail header. Some mailreaders, 
 like exmh will then display this image when the user is reading your mail.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

SHELL = /bin/bash

include /usr/share/dpkg/architecture.mk
ifeq ($(origin CC),default)
CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

package=libcompface

version=1.0.0 #$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=1 #$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')
old_libpath := $(LD_LIBRARY_PATH)
LD_LIBRARY_PATH=shared:$(old_libpath)


build-arch:	build
build-indep:	build

build:		build-libc6
	$(checkdir)
	@echo '### Building binaries...'
	$(MAKE) LDFLAGS="-s -L$(CURDIR)/shared" 'CC=$(CC)' CFLAGS="-DSTDC_HEADERS"
	touch build

build-libc6:
	$(checkdir)
	@echo LD_LIBRARY_PATH = $(LD_LIBRARY_PATH)
	@echo '### Building libc6/glibc2 libraries...'
	./configure
	-mkdir shared static
#
# First build the shared library
#
	cd shared && \
	    $(MAKE) -f ../Makefile VPATH=".." srcdir=".." \
		LDFLAGS="-lc"\
		'CC=$(CC)' \
	        CFLAGS="-O2 -fPIC -pipe -DSTDC_HEADERS -D_DEFAULT_SOURCE -D_REENTRANT" shared && \
		ln -sf $(package).so $(package).so.$(version_major) &&  \
		ln -sf $(package).so.$(version) $(package).so #&& \
#		strip --strip-unneeded $(package).so.$(version)
#
# Build the static library (it does not need Position Independent Code,
# which reserves one register; thus, without -fPIC we get more efficient
# code).
#
	cd static && \
	     $(MAKE) -f ../Makefile VPATH=".." srcdir=".." \
		  'CC=$(CC)' \
	          CFLAGS="-O2 -pipe -DSTDC_HEADERS -D_DEFAULT_SOURCE" LDFLAGS="-s" libcompface.a #&& \
#		  strip --strip-debug $(package).a

	touch build-libc6

build-libc5:
	$(checkdir)
	@echo LD_LIBRARY_PATH = $(LD_LIBRARY_PATH)
	@echo '### Building libc5 libraries...'

	-cat debian/control.libc5 >> debian/control
	-mkdir shared5 static5
#
# First build the shared library
#
	cd shared5 && \
	    $(MAKE) -f ../Makefile VPATH=".." srcdir=".." \
		CC=$(avar)-linuxlibc1-gcc\
		LDFLAGS="-lc"\
	        CFLAGS="-O2 -fPIC -pipe -D_DEFAULT_SOURCE -D_REENTRANT" shared && \
		ln -sf $(package).so $(package).so.$(version_major) &&  \
		ln -sf $(package).so.$(version) $(package).so &&  \
		strip --strip-unneeded $(package).so.$(version)

#
# Build the static library (it does not need Position Independent Code,
# which reserves one register; thus, without -fPIC we get more efficient
# code).
#
	cd static5 && \
	     $(MAKE) -f ../Makefile VPATH=".." srcdir=".." \
		  CC=$(avar)-linuxlibc1-gcc\
	          CFLAGS="-O2 -pipe -D_DEFAULT_SOURCE" LDFLAGS="-s" static && \
		  strip --strip-debug $(package).a

	touch build-libc5

clean:
	$(checkdir)
	-rm -rf static shared static5 shared5
	-rm -f build build-*
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core
	-rm -f debian/*substvars
	-cat debian/control.common > debian/control
	-dh_clean


binary-indep:	build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	build binary-common binary-libc6
	$(checkdir)
	@echo '### Installing architecture dependent files...'
#make install DESTDIR=`pwd`/debian/tmp

	mkdir debian/tmp/usr/share
	mkdir debian/tmp/usr/share/doc
	mv debian/tmp/usr/man debian/tmp/usr/share/
	mv debian/tmp/usr/doc/compface debian/tmp/usr/share/doc/
	mv debian/tmp/usr/doc/libcompfaceg1 debian/tmp/usr/share/doc/
	cp debian/README.debian debian/tmp/usr/share/doc/libcompfaceg1
	mv debian/tmp/usr/doc/libcompfaceg1-dev debian/tmp/usr/share/doc/
	#gzip -9 debian/tmp/usr/share/man/man1/compface.1
	rm debian/tmp/usr/share/man/man1/uncompface.1 
	ln -s compface.1.gz debian/tmp/usr/share/man/man1/uncompface.1.gz
# gzip -9 debian/tmp/usr/share/man/man3/compface.3
	-rm debian/tmp/usr/share/man/man3/uncompface.3
	ln -s compface.3.gz debian/tmp/usr/share/man/man3/uncompface.3.gz

	#debstd 


	#-rm -rf debian/tmp/usr/man
	#-rm -rf debian/tmp/usr/doc
	#-rm -f  debian/tmp/usr/share/doc/libcompface
	#-rm -rf debian/tmp/usr/share/doc/libcompfaceg1
	#-rm -rf debian/tmp/usr/lib/libc5-compat
	#-rm -rf debian/tmp/usr/share/man/man1
	#-rm -rf debian/tmp/usr/bin
	#-rm -rf debian/tmp/usr/$(avar)-linuxlibc1
	#-rm -rf debian/tmp/usr/doc/libcompface 
	#-rm -rf debian/tmp/usr/share/doc/compface 
	#-rm -f  debian/tmp/usr/share/doc/libcompfaceg1
	#-rm -rf debian/tmp/usr/doc/libcompface1
	#-rm -f  debian/tmp/usr/doc/libcompface1-altdev

	dh_installdeb
	dh_installdocs
	dh_installman

	dh_movefiles
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_strip

	dh_shlibdeps	
	dh_md5sums

	#dpkg-gencontrol -plibcompfaceg1-dev -isp
	#chown -R root.root debian/tmp
	#chmod -R go=rX debian/tmp
	#dpkg --build debian/tmp ..

	dh_gencontrol
	dh_builddeb

binary-common:
	$(checkdir)
	@echo '### Installing common components...'

	-rm -rf debian/tmp
	install -d debian/tmp

	cd debian/tmp && install -d usr/man/man3 usr/man/man1 usr/bin usr/doc/libcompface usr/doc/compface

	install -m644 compface.3 debian/tmp/usr/man/man3/
	install -m644 README debian/tmp/usr/doc/compface

	install -m644 compface.1 debian/tmp/usr/man/man1/
	ln -s compface.1 debian/tmp/usr/man/man1/uncompface.1
	install -m744 compface debian/tmp/usr/bin/
	install -m744 uncompface debian/tmp/usr/bin/


binary-libc6:
	@echo '### Installing libc6 components...'

	cd debian/tmp && install -d usr/lib usr/include

	install -m644 static/$(package).a debian/tmp/usr/lib/
	install -m644 compface.h debian/tmp/usr/include/

	-ln -s $(package).so.$(version) debian/tmp/usr/lib/$(package).so
	-ln -s $(package).so.$(version) debian/tmp/usr/lib/$(package).so.$(version_major)

	cp shared/$(package).so.$(version) debian/tmp/usr/lib
	chmod 644 debian/tmp/usr/lib/$(package).so.$(version)

	-rm -r debian/tmp/usr/doc/libcompface
	-mkdir debian/tmp/usr/doc/libcompfaceg1
	-ln -s libcompfaceg1 debian/tmp/usr/doc/libcompface
	-ln -s libcompfaceg1 debian/tmp/usr/doc/libcompfaceg1-dev


binary-libc5:
	@echo '### Installing libc5 components...'

	cd debian/tmp && install -d usr/lib/libc5-compat usr/$(avar)-linuxlibc1/{lib,include}

	install -m644 static5/$(package).a debian/tmp/usr/$(avar)-linuxlibc1/lib/
	install -m644 compface.h debian/tmp/usr/$(avar)-linuxlibc1/include/

	-ln -s $(package).so.$(version) debian/tmp/usr/lib/libc5-compat/$(package).so
	-ln -s $(package).so.$(version) debian/tmp/usr/lib/libc5-compat/$(package).so.$(version_major)

	cp shared5/$(package).so.$(version) debian/tmp/usr/lib/libc5-compat
	chmod 644 debian/tmp/usr/lib/libc5-compat/$(package).so.$(version)

	-mkdir debian/tmp/usr/doc/libcompface1
	-ln -s libcompface1 debian/tmp/usr/doc/libcompface1-altdev


define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch


.PHONY: binary binary-arch binary-indep clean build-arch build-indep

## libcompface 1989.11.11

=== Makefile ===
#
#  Compface - 48x48x1 image compression and decompression
#
#  Copyright (c) James Ashton - Sydney University - June 1990.
#
#  Written 11th November 1989.
#
#  Permission is given to distribute these sources, as long as the
#  copyright messages are not removed, and no monies are exchanged. 
#
#  No responsibility is taken for any errors on inaccuracies inherent
#  either to the comments or the code of this program, but if reported
#  to me, then an attempt will be made to fix them.

# SYSV is expected to be overridden by the calling Makefile.
#--------------------------------------------------------------------------
#  If you are running on a Unix System V machine, then you should uncomment
#  the next definition.
#
#SYSV           = -DSYSV32
#--------------------------------------------------------------------------
# BINDIR, LIBDIR, and MANDIR are expected to be overridden by the
# calling Makefile

BINDIR		= /usr/local/bin
LIBDIR		= /usr/local/lib
MANDIR		= /usr/manl

NAME		= compface
UNNAME		= uncompface
EXECUTABLE	= $(BINDIR)/$(NAME)
UNEXECUTABLE	= $(BINDIR)/$(UNNAME)
LIBNAME		= lib$(NAME).a
LIBRARY		= $(LIBDIR)/$(LIBNAME)
MAN1DIR		= $(MANDIR)/man1
MAN3DIR		= $(MANDIR)/man3
OBJECTS		= arith.o file.o compress.o gen.o uncompface.o
SOURCES		= compface.c uncompface.o arith.c file.c compress.c gen.c \
		  cmain.c uncmain.c
HDRS		= compface.h data.h
OTHERS		= README $(NAME).1 $(NAME).3 Makefile

CC		= cc
CDEFS		= $(SYSV)
CCOMP		= -g
CFLAGS		= $(CDEFS) $(CCOMP)

all:		$(NAME) $(UNNAME)

$(NAME) :	cmain.o compface.o $(LIBNAME)
		$(CC) $(CFLAGS) -o $(NAME) cmain.o compface.o $(LIBNAME)

$(UNNAME) :	uncmain.o $(LIBNAME)
		$(CC) $(CFLAGS) -o $(UNNAME) uncmain.o $(LIBNAME)

$(LIBNAME) :	$(OBJECTS)
		ar rc $(LIBNAME) $(OBJECTS)
		-ranlib $(LIBNAME)

lint :
		lint -abchx $(SOURCES)

clean :
		rm -f *.o *.a *.sh core a.out $(NAME) $(UNNAME)

install :	$(NAME) $(UNNAME) $(LIBNAME)
		-cp $(NAME) $(EXECUTABLE)
		strip $(EXECUTABLE)
		-cp $(UNNAME) $(UNEXECUTABLE)
		strip $(UNEXECUTABLE)
		-cp $(NAME).1 $(MAN1DIR)
		rm -f $(MAN1DIR)/$(UNNAME).1
		-ln $(MAN1DIR)/$(NAME).1 $(MAN1DIR)/$(UNNAME).1
		-cp $(LIBNAME) $(LIBRARY)
		-cp $(NAME).3 $(MAN3DIR)
		rm -f $(MAN3DIR)/$(UNNAME).3
		-ln $(MAN3DIR)/$(NAME).3 $(MAN3DIR)/$(UNNAME).3

shar :
		shar.script $(OTHERS) $(HDRS) $(SOURCES) > $(NAME).sh
		compress $(NAME).sh

arith.o:	arith.c compface.h data.h
cmain.o:	cmain.c compface.h data.h
compface.o:	compface.c compface.h data.h
compress.o:	compress.c compface.h data.h
file.o:		file.c compface.h data.h
gen.o:		gen.c compface.h data.h
uncmain.o:	uncmain.c compface.h data.h
uncompface.o:	uncompface.c compface.h data.h
